List Custom Template Associations
Get a collection of the storeʼs custom template associations across all storefronts.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Query parameters
channel_id
Return results or act upon only template associations in the specified channel.
entity_id:in
A comma-separated list of entity IDs to return or act upon. Must be used together with the type filter. Currently, all supported entities have integer-type IDs.
type
Filter associations by type.
Allowed values:
limit
Number of results to return per page.
page
Which page number to return, based on the limit value. Used to paginate large collections.
is_valid
Optional toggle to filter for exclusively valid or invalid associations entries. An invalid entry is one where its file name does not match up to an existing custom layout file in the currently active theme for the channel.
Response
OK
data
meta